#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# ObjectCollisionMatrix Class

Defined in: `src/collision/ObjectCollisionMatrix.js:3`

Records what objects are colliding with each other

## Constructor

### `ObjectCollisionMatrix`

()

Defined in `src/collision/ObjectCollisionMatrix.js:3`

- Index
- Methods
- Properties

## Item Index

### Methods

- get
- reset
- set
- setNumObjects

### Properties

- matrix

## Methods

### `get`

(

- `i`
- `j`

)
Number

Defined in `src/collision/ObjectCollisionMatrix.js:18`

#### Parameters:

- `i` Number
- `j` Number

#### Returns:

Number:

### `reset`

()

Defined in `src/collision/ObjectCollisionMatrix.js:57`

Empty the matrix

### `set`

(

- `i`
- `j`
- `value`

)

Defined in `src/collision/ObjectCollisionMatrix.js:35`

#### Parameters:

- `i` Number
- `j` Number
- `value` Number

### `setNumObjects`

(

- `n`

)

Defined in `src/collision/ObjectCollisionMatrix.js:65`

Set max number of objects

#### Parameters:

- `n` Number

## Properties

### `matrix`

Object

Defined in `src/collision/ObjectCollisionMatrix.js:10`

The matrix storage